%define aurox_ver 9.4
%define rel 4


Summary:   A freely licensed alternative to the GLUT library
Name:      freeglut
Version:   2.2.0
Release: %{aurox_ver}.aur.%{rel}
URL:       http://freeglut.sourceforge.net
Source0:   %{name}-%{version}.tar.gz
Patch0: freeglut-2.2.0-api.patch
License:   MIT
Group:     System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: glut
Provides: glut
BuildRequires: /sbin/ldconfig XFree86-devel

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package devel
Summary: freeglut developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: glut-devel
Provides: glut-devel

%description devel
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.

%prep
%setup -q

%build
%configure --x-libraries=/usr/X11R6/%{_lib}
make CFLAGS="$RPM_OPT_FLAGS $(pkg-config --cflags glib) -L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
# don't include contents of doc/ directory as it is mostly obsolete
%{_libdir}/libglut*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/GL/*.h
%{_libdir}/libglut*.a
%{_libdir}/libglut*.la
%{_libdir}/libglut*.so

%changelog
* Fri Apr 23 2004 Aurox Team <aurox@aurox.org> 0:2.2.0-9.4.aur.4
- add more info on API version
- obsoletes glut

* Tue Dec 16 2003 Robert Glowczynski <robertg@aurox.org>
- updated for freeglut-2.2.0

* Fri Nov 14 2003 Andy Piper <andy.piper@freeuk.com>
- updated for freeglut-2.0.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.3
- Add BuildRequires on /sbin/ldconfig
- Change ldconfig call to explicit /sbin/ldconfig

* Sun Jun  1 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.2
- Oddly, when I build this on my workstation, it only builds static libs, but
  when I build it in the buildsystem it builds shared and static libs.  Must
  be a twilight zone thing going on.  Add shared libs to file lists.

* Sat May 31 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.1
- Added -L/usr/X11R6/%{_lib} configure script invocation and CFLAGS so lib64
  is treated properly on x86_64/ppc64/s390x architectures
  
* Fri May 30 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.0
- Initial build.
